## org.eclipse.jet.taglib
Interface FunctionTag

All Superinterfaces:
  CustomTag

All Known Implementing Classes:
  AbstractFunctionTag

    public interface FunctionTag

extends CustomTag

Define a JET2 function tag. A function tag has the following characteristics: <bl>

- The tag must be of the form open tag (<myfunc>) and close tag(</myfunc>).
- The tag rewrites its contents by evalating a function (via `doFunction(TagInfo, JET2Context, String)`).
</bl>

Method Summary
`java.lang.String` `doFunction(TagInfo td, JET2Context context, java.lang.String bodyContent)` Calculate the re-written tag content.

Methods inherited from interface org.eclipse.jet.taglib.CustomTag
`getAttribute, getKind, getOut, getParent, getRawAttribute, setContext, setOut, setParent, setTagInfo`

Method Detail

### doFunction

    java.lang.String doFunction(TagInfo td,
                                JET2Context context,
                                java.lang.String bodyContent)
                                throws JET2TagException

  Calculate the re-written tag content.

  Parameters:
    `td` - the tag data (attribute values, ...)
    `context` - the JET2 execution context.
    `bodyContent` - the body content to be re-written.
  Returns:
    the re-written body content
  Throws:
    `JET2TagException` - if the method cannot complete successfully

Copyright 2006 IBM Corporation and others. All Rights Reserved.